Skip to main content
PATCH
/
custom-data-points
/
{id}
Update Custom Data Point
curl --request PATCH \
  --url https://api.authsignal.com/v1/management/custom-data-points/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "isPublic": true
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "isPublic": true
}

Authorizations

Authorization
string
header
required

Use your Authsignal Management API secret key as the username and leave the password empty. This key is different from the Server API key and can be found in the API Keys section of the Authsignal Portal settings page.

Path Parameters

id
string
required

The ID of the custom data point.

Body

application/json
isPublic
boolean
required

Whether the data point's value is surfaced when getting push challenges and claiminig QR code challenges.

Response

OK

id
string
name
string
dataType
enum<string>
Available options:
text,
number,
boolean,
multiselect
modelType
enum<string>
Available options:
user,
action
description
string
isPublic
boolean